<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: DateRangeSelectorField.php 4554 2006-04-03 09:51:16Z andrew@m3.net $
*/

require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/lib/max/DateRange.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/ZoneScope.php';
require_once MAX_PATH . '/lib/max/Admin/UI/Field/DateRangeField.php';

class DateRangeSelectorField extends Admin_UI_DateRangeField
{

    function _displayFieldHeader($title) {}

    function _displayFieldFooter() {}

    function _displaySelector($fields, $key)
    {
        $overall_name = $key;
        $preset_id = $overall_name . '_preset';

        if (isset($fields[$key]['default'][$preset_id])) {
            $preset = $fields[$key]['default'][$preset_id];
        } else {
            $preset = 'today';
        }

        ?>
    <select name='<?php print $preset_id; ?>' id='<?php print $preset_id; ?>' onchange='<?php print $key; ?>FormChange(this, 1, 1)' tabindex='<?php print $this->tabkeeper->tabindex++; ?>'>
        <option value='today'<?php print $preset == 'today' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedToday']; ?></option>
        <option value='yesterday'<?php print $preset == 'yesterday' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedYesterday']; ?></option>
        <option value='last7days'<?php print $preset == 'last7days' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedLast7Days']; ?></option>
        <option value='thisweek'<?php print $preset == 'thisweek' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedThisWeek']; ?></option>
        <option value='lastweek'<?php print $preset == 'lastweek' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedLastWeek']; ?></option>
        <option value='thismonth'<?php print $preset == 'thismonth' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedThisMonth']; ?></option>
        <option value='lastmonth'<?php print $preset == 'lastmonth' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedLastMonth']; ?></option>
        <option value='allstats'<?php print $preset == 'allstats' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedAllStats']; ?></option>
        <option value='specific'<?php print $preset == 'specific' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedSpecificDates']; ?></option>
    </select>
        <?php
    }

}

?>
