<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: ScopeSelectionField.php 4568 2006-04-04 12:40:13Z roh@m3.net $
*/

require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/lib/max/DateRange.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/ZoneScope.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field.php';

class ScopeSelectionField extends Field
{
    function display($fields, $key)
    {
        $this->_displayFieldHeader($fields[$key]['title']);

        $overall_name = $key;
        $entity_name = $overall_name . '_entity';
        $advertiser_name = $overall_name . '_advertiser';
        $publisher_name = $overall_name . '_publisher';

        $this->displayAdvertiserChoice($entity_name, $advertiser_name);
        $this->displayPublisherChoice($entity_name, $publisher_name);
        $this->displayAllDataChoice($entity_name);
        $this->_displayFieldFooter();
    }

    function displayPublisherChoice($entity_name, $publisher_name)
    {
        if (phpAds_isUser(phpAds_Publisher))
        {
            return;
        }
        echo "<input type='radio' name='$entity_name' id='$entity_name' value='publisher'>A specific publisher</input>\n";
        $publisher_field = new PublisherIdField();
        $publisher_field->tabindex = $this->tabindex;
        $publisher_field->displayUnadornedField($publisher_name);
        $this->tabindex = $publisher_field->tabindex;
        echo "<br />\n";
    }

    function displayAdvertiserChoice($entity_name, $advertiser_name)
    {
        if (phpAds_isUser(phpAds_Advertiser))
        {
            return;
        }
        echo "<input type='radio' name='$entity_name' id='$entity_name' value='advertiser'>A specific advertiser</input>\n";
        $advertiser_field = new AdvertiserIdField();
        $advertiser_field->tabindex = $this->tabindex;
        $advertiser_field->displayUnadornedField($advertiser_name);
        $this->tabindex = $advertiser_field->tabindex;
        echo "<br />\n";
    }

    function displayAllDataChoice($entity_name)
    {
        echo "<input type='radio' name='$entity_name' id='$entity_name' value='all' checked='checked'>All available data</input>\n";
    }

    function getPassableValueFromQueryArray($values, $base_key)
    {
        $scope = new ReportScope();
        $scope->useValuesFromQueryArray($values, $base_key);
        return $scope;
    }
}

?>
