<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: FieldFactory.php 4578 2006-04-04 23:31:10Z scott@m3.net $
*/

require_once MAX_PATH . '/lib/max/Admin/Reporting/Field/TextField.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field/CampaignIdField.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field/AdvertiserIdField.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field/PublisherIdField.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field/TrackerField.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field/ZoneIdField.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field/ZoneScopeField.php';
require_once MAX_PATH . '/lib/max/Admin/UI/Field/DateRangeField.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field/DateRangeSelectorField.php';
require_once MAX_PATH . '/lib/max/Admin/UI/Field/OrganisationSelectionField.php';

class FieldFactory
{
     /**
      *  Creates a new Field object of the appropriate subclass.
      */
    function &newField($field_type)
    {
        // Text field
        if ($field_type == 'edit')
        {
            $product = new TextField();
        }

        // CampaignID-dropdown
        elseif ($field_type == 'campaignid-dropdown')
        {
            $product = new CampaignIdField();
        }

        // ClientID-dropdown
        elseif ($field_type == 'clientid-dropdown' || $field_type == 'advertiser')
        {
            $product = new AdvertiserIdField();
        }

        // AffiliateID-dropdown
        elseif ($field_type == 'affiliateid-dropdown' || $field_type == 'publisher')
        {
            $product = new PublisherIdField();
        }

        // Tracker-dropdown
        elseif ($field_type == 'trackerid-dropdown') {
            $product = new TrackerField();
        }

        // ZoneID-dropdown
        elseif ($field_type == 'zoneid-dropdown')
        {
            $product = new ZoneIdField();
        }

        elseif ($field_type == 'zone-scope')
        {
            $product = new ZoneScopeField();
        }

        elseif ($field_type == 'date-range' || $field_type == 'date-month')
        {
            $product = new DateRangeField(new Date());
        }

        elseif ($field_type == 'date-range-selector')
        {
            $product = new DateRangeSelectorField();
        }

        elseif ($field_type == 'scope')
        {
            $product = new Admin_UI_OrganisationSelectionField();
        }

        else
        {
            MAX::raiseError("The report module discovered a field type that it didn't know how to handle.", MAX_ERROR_INVALIDARGS);
        }

        $product->tabindex = 0;
        $product->tabkeeper =& $product;

        return $product;
    }
}

?>
